# 转为文档结果查询

查询PDF、图片转为文档格式的转换结果

## 基本信息{#base}

请求路径：`GET /api/developer/v1/tasks/convert/to/:office_type/:task_id`

## Header 参数{#header}

| 参数          | 必须 | 类型   | 说明                                                                                                |
| ------------- | ---- | ------ | --------------------------------------------------------------------------------------------------- |
| Date          | 是   | string | 使用 [RFC1123](https://datatracker.ietf.org/doc/html/rfc822#section-5) 时间格式的当前时间           |
| Content-Md5   | 是   | string | `HTTP Body` 中数据的 `MD5` 值十六进制表达方式, 必需小写, 如果是 `get` 请求一律使用 `URI` 计算 `MD5` ，例如原始请求 `https://solution.wps.cn/api/developer/v1/tasks/convert/to/docx/cedc9c82ae0c4127` ，那么uri使用： `/api/developer/v1/tasks/convert/to/docx/cedc9c82ae0c4127`|
| Content-Type  | 是   | string | 目前固定为: `application/json`                                                                      |
| Authorization | 是   | string | "WPS-2:" + `app_id` + ":" + sha1( `app_key` + `Content-Md5` + `Content-Type` + `DATE`)              |

## Path 参数{#path}

| 参数    | 必须 | 类型   | 说明            |
| ------- | ---- | ------ | --------------- |
| office_type | 是   | string | 转换为的文件类型：`docx`,`xlsx`,`pptx`,`json` |
| task_id | 是   | string | 格式转换任务 id，有效期1个小时，请及时保存转换结果 |

## 返回参数{#return}
<!-- complex-table -->

| 参数 | 必须 | 类型 | 说明 |
| --- | --- | --- | --- |
| code | 是 | integer | 错误码 |
| data | 是 | data {} | 响应数据 |
| > status |  | string | 转换任务状态， 1：结束 2：运行中 3：被中断 4：发生错误 5：阻塞中，还在队列里 |
| > progress |  | int | 转换任务进度 |
| > errMsgs |  | string | 转换任务失败原因 |
| > duration |  | int | 转换耗时，单位秒 |
| > download_url |  | string | 已转换完成的下载地址 |
| > start_time |  | int | 开始转换的时间戳 |
| > page_count |  | int | 已转换的页数 |

## 示例{#example}

#### 请求示例

:::httpsnippet `{"method":"GET","url":"https://solution.wps.cn/api/developer/v1/tasks/convert/to/pptx/0f27ff302780428e9ddfd39189731891","headers":{"Date":"Wed, 23 Jan 2013 06:43:08 GMT","Content-Md5":"d41d8cd98f00b204e9800998ecf8427e","Content-Type":"application/json","Authorization":"WPS-2:******:ac59dac1460772a04b3a97d7ef78409f28241e3a"}}`
:::

#### 返回示例

```json
{
    "code": 0,
    "data": {
        "status": 1,
        "duration": 4.074,
        "download_url": "http://zhai-platereduction.ks3-cn-beijing.ksyun.com/tmp/layout_test/pdfwriter/tmp/2023-10-23/0f27ff302780428e9ddfd39189731891.docx?Expires=1698633007&AWSAccessKeyId=AKLTvraLpUToTR6_PmBcKXIRCw&Signature=y9UFdStk19xj7E7fM1JkHvrvmBA%3D",
        "task_id": "0f27ff302780428e9ddfd39189731891",
        "progress": 100,
        "start_time": 1698028203329,
        "page_count": 3,
        "errMsgs": null
    }
}
```
:::tip 说明
转换状态 `status`为1和`progress`为100时，表示转换完成，才会返回`download_url`。

本查询接口需要轮询，可根据progress的进度进行相关业务提示，并间隔一定时间再次查询，直到终止状态。
:::


## 错误码{#code}

请参考[错误码说明](./error.md)
